<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8" />
    <link rel="icon" href="%PUBLIC_URL%/favicon.ico" />
    <meta name="viewport" content="width=device-width, initial-scale=1" />
    <meta name="theme-color" content="#000000" />
    <meta name="description" content="Web site created using create-react-app"/>
    <link rel="apple-touch-icon" href="%PUBLIC_URL%/logo192.png" />
    <!--<link rel="manifest" href="%PUBLIC_URL%/manifest.json" />-->
    <title>React App</title>
  </head>
  <body>
    <noscript>You need to enable JavaScript to run this app.</noscript>
    <!--The entire react app runs in div below-->
    <div id="root"></div>
    <!--Register the first service worker-->
    <script>
      {/*We first check if service worker is available*/}
      if ('serviceWorker' in navigator) {
        {/*Add a event listner to listen to load events and
         register a call back to execute on event*/}
        window.addEventListener('load', () => {
          {/*Register the service worker*/}
          navigator.serviceWorker.register('./serviceworker.js')
            .then((reg) => console.log("sucess", reg.scope))
            .catch((err) => console.log("Error", err));
        });
      }
    </script>
  </body>
</html>
